<?

 /*************************************************************************************
 * Filename: modules/comments.php
 *
 * This file is part of the Blog JAS plugin.
 * Copyright 2003-2015 by Matthijs Schuurman
 *
 * The Blog JAS plugin is free software under the terms of the
 * GNU General Public License version 3 or any later version.
 *
 * For information about the license please refer to:
 * LICENSE.txt in the root of the plugin or http://jas.junerules.com/plugins/blog/
 *************************************************************************************/


 require_once($_path["include"]."module.php");

 class Plugin_Module_blog_comments extends Module
 {
  function __construct(&$data)
  {
   parent::__construct($data);

   $this->data->title="Blog comments";
   $this->data->addField("text", "text", "all", "title;markup", 5, 1000, false, "Comment");

   $this->data->defaultFields();

   $this->data->addField("blogentrynr", "nr", "show;sql", "", 1, false, 0);
   $this->data->addReference("blogentry", "blog_entries", "nr", "*:1", "blogentrynr");

   $this->data->sortOrder("updated-");
  }
 }
?>
